<html>
<head>
<title>OGRE: Ogre::EdgeData::Triangle Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>::<a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a></div>
<h1>Ogre::EdgeData::Triangle Struct Reference</h1><!-- doxytag: class="Ogre::EdgeData::Triangle" -->Basic triangle structure.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1EdgeData_1_1Triangle-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#77b9a1e73bea6c8cdbe3197a1311ad38">indexSet</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.  <a href="#77b9a1e73bea6c8cdbe3197a1311ad38"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#8bf63fc09c7508d4c4863168442520db">vertexSet</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The vertex set these vertices came from.  <a href="#8bf63fc09c7508d4c4863168442520db"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#f3610ee6a688cccc061392263bde1929">vertIndex</a> [3]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#7d4ef75a8c204871c1829dbae25e5f7d">sharedVertIndex</a> [3]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Vertex indexes, relative to the original buffer.  <a href="#7d4ef75a8c204871c1829dbae25e5f7d"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Basic triangle structure. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00051">51</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="77b9a1e73bea6c8cdbe3197a1311ad38"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::indexSet" ref="77b9a1e73bea6c8cdbe3197a1311ad38" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#77b9a1e73bea6c8cdbe3197a1311ad38">Ogre::EdgeData::Triangle::indexSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side. 
<p>
) 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00054">54</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8bf63fc09c7508d4c4863168442520db"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::vertexSet" ref="8bf63fc09c7508d4c4863168442520db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#8bf63fc09c7508d4c4863168442520db">Ogre::EdgeData::Triangle::vertexSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The vertex set these vertices came from. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00056">56</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3610ee6a688cccc061392263bde1929"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::vertIndex" ref="f3610ee6a688cccc061392263bde1929" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#f3610ee6a688cccc061392263bde1929">Ogre::EdgeData::Triangle::vertIndex</a>[3]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00057">57</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d4ef75a8c204871c1829dbae25e5f7d"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::sharedVertIndex" ref="7d4ef75a8c204871c1829dbae25e5f7d" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#7d4ef75a8c204871c1829dbae25e5f7d">Ogre::EdgeData::Triangle::sharedVertIndex</a>[3]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Vertex indexes, relative to the original buffer. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00058">58</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:33 2008
</p>
</body>
</html>
